commit:     703c50b0d0843d29442379e98928b8cfb333fe73
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Fri Dec  3 03:08:54 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Dec  3 03:09:58 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=703c50b0

games-misc/fortune-mod: add 3.6.1

Bug: https://bugs.gentoo.org/715276
Bug: https://bugs.gentoo.org/724696
Closes: https://bugs.gentoo.org/604140
Closes: https://bugs.gentoo.org/720796
Signed-off-by: Sam James <sam <AT> gentoo.org>

 games-misc/fortune-mod/Manifest                 |  1 +
 games-misc/fortune-mod/fortune-mod-3.6.1.ebuild | 39 +++++++++++++++++++++++++
 2 files changed, 40 insertions(+)

diff --git a/games-misc/fortune-mod/Manifest b/games-misc/fortune-mod/Manifest
index a1cd8b646e06..a9a4cc9b927d 100644
--- a/games-misc/fortune-mod/Manifest
+++ b/games-misc/fortune-mod/Manifest
@@ -1 +1,2 @@
 DIST fortune-mod-1.99.1.tar.gz 1812089 BLAKE2B 
a5df4a5a518021073ee95ac7e110ac75b961feb1b4dfcc3a40165ea98859f93e6d002ee4906d3f03a40762503ae475b61399a2bd4144609fa4d9815a1a85fa84
 SHA512 
4c06ea37532dd59f0251d7c49538bee703852c60a3247aba7c516f4f0d4b8ab15b9d7495d004a6423acd74c4dd7532e3dbe1679d6904ab373b617a3386205cde
+DIST fortune-mod-3.6.1.tar.xz 1419132 BLAKE2B 
0ff684ee8aaf5eaabd75f187a3bff533ab4ee6e66c47c57fc700d2671006c8dff42f732fde78b40516f8ee907a52fc1965fb0ff257b12563d645f97c5ebc0031
 SHA512 
3f35bf35d62c46dfeaca450a127a7444bb870f6345c92afe626f81548ac375d21306c00a56d31982b8e25129acd6f829402d5afaec676e1200ad5bf586f7a8f1

diff --git a/games-misc/fortune-mod/fortune-mod-3.6.1.ebuild 
b/games-misc/fortune-mod/fortune-mod-3.6.1.ebuild
new file mode 100644
index 000000000000..81b256cced50
--- /dev/null
+++ b/games-misc/fortune-mod/fortune-mod-3.6.1.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake
+
+DESCRIPTION="The notorious fortune program"
+HOMEPAGE="https://www.shlomifish.org/open-source/projects/fortune-mod/ 
http://www.redellipse.net/code/fortune";
+SRC_URI="https://github.com/shlomif/fortune-mod/releases/download/${P}/${P}.tar.xz";
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="offensive"
+
+DEPEND="app-text/recode:="
+RDEPEND="${DEPEND}"
+BDEPEND="app-text/App-XML-DocBook-Builder"
+
+src_configure() {
+       local mycmakeargs=(
+               -DNO_OFFENSIVE=$(usex !offensive)
+               -DLOCALDIR="/usr/share/fortune"
+               -DCOOKIEDIR="/usr/share/fortune"
+       )
+
+       cmake_src_configure
+}
+
+src_install() {
+       cmake_src_install
+
+       mkdir -p "${ED}"/usr/bin || die
+       mv "${ED}"/usr/games/fortune "${ED}"/usr/bin/fortune || die
+       rm -rf "${ED}"/usr/games || die
+
+       dodoc ChangeLog INDEX Notes Offensive README TODO cookie-files
+}

Reply via email to